---
# Source: elasticsearch-curator/templates/configmap.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: elasticsearch-curator-config
  labels:
    app: elasticsearch-curator
    chart: elasticsearch-curator-2.2.3
    release: elasticsearch-curator
    heritage: Helm
data:
  action_file.yml:   |-
    ---
    actions:
      1:
        action: delete_indices
        description: "Delete indexes older than 14 days"
        options:
          ignore_empty_list: True
          disable_action: False
        filters:
        - filtertype: pattern
          kind: regex
          value: k8s-dev-|k8s-dev-main-
          exclude:
        - filtertype: age
          source: name
          direction: older
          timestring: '%Y.%m.%d'
          unit: days
          unit_count: 14
          exclude:
      2:
        action: delete_indices
        description: "Delete debug and data-processing indexes older than 4 days"
        options:
          ignore_empty_list: True
          disable_action: False
        filters:
        - filtertype: pattern
          kind: regex
          value: k8s-dev-debug-|k8s-dev-data-processing-
          exclude:
        - filtertype: age
          source: name
          direction: older
          timestring: '%Y.%m.%d'
          unit: days
          unit_count: 4
          exclude:
      3:
        action: delete_indices
        description: "Delete ingress indexes older than 4 days"
        options:
          ignore_empty_list: True
          disable_action: False
        filters:
        - filtertype: pattern
          kind: regex
          value: k8s-dev-ingress-
          exclude:
        - filtertype: age
          source: name
          direction: older
          timestring: '%Y.%m.%d'
          unit: days
          unit_count: 4
          exclude:
      5:
        action: delete_indices
        description: "Delete indexes older than 7 days: cwl-"
        options:
          ignore_empty_list: True
          disable_action: False
        filters:
        - filtertype: pattern
          kind: regex
          value: cwl-
          exclude:
        - filtertype: age
          source: name
          direction: older
          timestring: '%Y.%m.%d'
          unit: days
          unit_count: 7
          exclude:
  config.yml:   "---\nclient:\n  hosts: \n    - es-logs.dev.com\n  port: 443\n  url_prefix:\n
    \ use_ssl: True\n  certificate:\n  client_cert:\n  client_key:\n  ssl_no_validate:
    False\n  http_auth: ${ELASTIC_CREDS}\n  timeout: 30\n  master_only: False\nlogging:\n
    \ loglevel: INFO\n  logfile:\n  logformat: default\n  blacklist: ['elasticsearch',
    'urllib3']"
---
# Source: elasticsearch-curator/templates/cronjob.yaml
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: elasticsearch-curator
  labels:
    app: elasticsearch-curator
    chart: elasticsearch-curator-2.2.3
    release: elasticsearch-curator
    heritage: Helm
spec:
  schedule: "47 07 * * *"
  failedJobsHistoryLimit: 30
  successfulJobsHistoryLimit: 30
  jobTemplate:
    metadata:
      labels:
        app: elasticsearch-curator
        release: elasticsearch-curator
    spec:
      template:
        metadata:
          labels:
            app: elasticsearch-curator
            release: elasticsearch-curator
        spec:
          volumes:
            - name: config-volume
              configMap:
                name: elasticsearch-curator-config
          restartPolicy: Never
          containers:
            - name: elasticsearch-curator
              image: "untergeek/curator:5.8.1"
              imagePullPolicy: IfNotPresent
              volumeMounts:
                - name: config-volume
                  mountPath: /etc/es-curator

              command:
                - /curator/curator
              args: [ "--config", "/etc/es-curator/config.yml", "/etc/es-curator/action_file.yml" ]
              env:
              - name: ELASTIC_USER
                value: curator
              - name: ELASTIC_PASS
                valueFrom:
                  secretKeyRef:
                    name: elastic-curator
                    key: ELASTIC_PASS
              - name: ELASTIC_CREDS
                value: $(ELASTIC_USER):$(ELASTIC_PASS)
              resources:
                limits:
                  cpu: 100m
                  memory: 128Mi
                requests:
                  cpu: 100m
                  memory: 128Mi
          securityContext:
            runAsUser: 16
